Page MenuHomePhabricator

Handle duplicate place labels
Closed, DeclinedPublic

Description

Right now it's fairly common for a place to be in OSM twice, once as a node, and once as an area, typically on a boundary relation. This leads to city/town/etc labels sometimes being rendered twice on the map. Removing area rendering is not a good option, because this would leave some cities unrendered.

Options that come to mind are

  • Fixing OpenStreetMap Carto so it renders place areas (see https://github.com/gravitystorm/openstreetmap-carto/issues/103)
  • Deduplicating place labels in the vector tiles with SQL (some kind of SELECT DISTINCT ON ...)
  • Deduplicating place labels in Mapnik (some of the label buffer-related options)
  • Ignoring it for now

Event Timeline

Pnorman created this task.Apr 25 2017, 7:29 PM
Pnorman removed a project: Epic.May 30 2017, 7:37 PM
Pnorman moved this task from Backlog to In progress on the Maps-Sprint board.Sep 8 2017, 10:51 PM
Pnorman moved this task from In progress to Needs review on the Maps-Sprint board.Mar 8 2018, 6:06 PM

There's been some movement in https://github.com/gravitystorm/openstreetmap-carto/pull/2816#issuecomment-387222075, but I'm pulling this out of the requirements of moving to a new structure

Pnorman closed this task as Declined.Jul 3 2018, 4:39 PM

There's been some movement in https://github.com/gravitystorm/openstreetmap-carto/pull/2816#issuecomment-387222075, but as we're not deploying the new style, it no longer matters.

MSantos added a subscriber: MSantos.Jul 3 2018, 4:39 PM